Package org.apache.cxf.bus.spring

## Class BusApplicationContextResourceResolver

- java.lang.Object
- - org.apache.cxf.bus.spring.BusApplicationContextResourceResolver

- All Implemented Interfaces:
    `ResourceResolver`, `org.springframework.beans.factory.Aware`, `org.springframework.context.ApplicationContextAware`

      public class BusApplicationContextResourceResolver
      extends Object
      implements ResourceResolver, org.springframework.context.ApplicationContextAware

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BusApplicationContextResourceResolver()` |
    `BusApplicationContextResourceResolver​(org.springframework.context.ApplicationContext c)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InputStream` | `getAsStream​(String name)` | Resolve a resource given its name and return an InputStream to it.
    `<T> T` | `resolve​(String resourceName, Class<T> resourceType)` | Resolve a resource given its name and type.
    `void` | `setApplicationContext​(org.springframework.context.ApplicationContext applicationContext)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BusApplicationContextResourceResolver

          public BusApplicationContextResourceResolver()

    - #### BusApplicationContextResourceResolver

          public BusApplicationContextResourceResolver​(org.springframework.context.ApplicationContext c)

  - ### Method Detail

    - #### getAsStream

          public InputStream getAsStream​(String name)

      Description copied from interface: `ResourceResolver`
      Resolve a resource given its name and return an InputStream to it.
      Specified by:
        `getAsStream` in interface `ResourceResolver`
      Parameters:
        `name` - name of the resource to resolve.
      Returns:
        an InputStream for the resource or null if it could not be found.

    - #### resolve

          public <T> T resolve​(String resourceName,
                               Class<T> resourceType)

      Description copied from interface: `ResourceResolver`
      Resolve a resource given its name and type.
      Specified by:
        `resolve` in interface `ResourceResolver`
      Parameters:
        `resourceName` - name of the resource to resolve.
        `resourceType` - type of the resource to resolve.
      Returns:
        an instance of the resource or `null` if the resource cannot be resolved.

    - #### setApplicationContext

          public void setApplicationContext​(org.springframework.context.ApplicationContext applicationContext)

      Specified by:
        `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`